Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.roi
Class JAIROIUtil

    java.lang.Object
      |
      +--com.vistech.jai.roi.JAIROIUtil

public class JAIROIUtil
extends java.lang.Object

A utility class that provides a number of static methods for creating ROI objects.

Version:
  1.0 21 Nov 2000
Author:
  Lawrence Rodrigues

Constructor Summary
`JAIROIUtil()`

Method Summary
`static javax.media.jai.PlanarImage[]` | `createBandImages(javax.media.jai.PlanarImage image)`
`static javax.media.jai.ROI[]` | `createROIFromImage(java.awt.image.RenderedImage image)`
`static javax.media.jai.TiledImage` | `createThresholdImage(javax.media.jai.TiledImage image, javax.media.jai.ROI[] roiImage, javax.media.jai.ROIShape roi)`
`static javax.media.jai.TiledImage` | `createThresholdImage(javax.media.jai.TiledImage image, javax.media.jai.ROI[] roiImage, javax.media.jai.ROIShape roi, int thresh, int mask)`
`static javax.media.jai.ROI[]` | `createThresholdROI(javax.media.jai.ROI[] baseROI, javax.media.jai.ROIShape roi, int thresh)`
`static javax.media.jai.TiledImage` | `createTiledImage(javax.media.jai.PlanarImage image)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAIROIUtil

    public JAIROIUtil()

Method Detail

### createTiledImage

    public static javax.media.jai.TiledImage createTiledImage(javax.media.jai.PlanarImage image)

### createThresholdROI

    public static javax.media.jai.ROI[] createThresholdROI(javax.media.jai.ROI[] baseROI,
                                                           javax.media.jai.ROIShape roi,
                                                           int thresh)

### createThresholdImage

    public static javax.media.jai.TiledImage createThresholdImage(javax.media.jai.TiledImage image,
                                                                  javax.media.jai.ROI[] roiImage,
                                                                  javax.media.jai.ROIShape roi)

### createROIFromImage

    public static javax.media.jai.ROI[] createROIFromImage(java.awt.image.RenderedImage image)

### createThresholdImage

    public static javax.media.jai.TiledImage createThresholdImage(javax.media.jai.TiledImage image,
                                                                  javax.media.jai.ROI[] roiImage,
                                                                  javax.media.jai.ROIShape roi,
                                                                  int thresh,
                                                                  int mask)
                                                           throws JAIROIException

### createBandImages

    public static javax.media.jai.PlanarImage[] createBandImages(javax.media.jai.PlanarImage image)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD